summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Heiko Rosemann <heiko.rosemann@web.de>2013-10-29 12:10:33 +0100
committer Robby Workman <rworkman@slackbuilds.org>2013-10-29 20:12:28 -0500
commit018cabb1adbc84cb3add32b6fc298ab2bd03c2ae (patch)
tree8f8bcb29ea5c6e9fd20419d7c885a0889d93af25 /desktop
parentb6dcaee8a97bc4318b83a8661d3c8890e56ee75e (diff)
downloadslackbuilds-018cabb1adbc84cb3add32b6fc298ab2bd03c2ae.tar.gz
slackbuilds-018cabb1adbc84cb3add32b6fc298ab2bd03c2ae.tar.xz
desktop/awesome: Added (tabbing window manager).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/awesome/README17
-rw-r--r--desktop/awesome/awesome.SlackBuild104
-rw-r--r--desktop/awesome/awesome.info10
-rw-r--r--desktop/awesome/slack-desc19
-rw-r--r--desktop/awesome/xinitrc.awesome20
5 files changed, 170 insertions, 0 deletions
diff --git a/desktop/awesome/README b/desktop/awesome/README
new file mode 100644
index 0000000000..b76faf3d11
--- /dev/null
+++ b/desktop/awesome/README
@@ -0,0 +1,17 @@
+awesome highly configurable, extensible tabbing window manager
+
+awesome is a highly configurable, next generation framework window
+manager for X. It is very fast, extensible and licensed under the
+GNU GPLv2 license.
+
+It is primarly targeted at power users, developers and any people
+dealing with every day computing tasks and who want to have
+fine-grained control on theirs graphical environment.
+
+NOTE: To build/use this you need to rebuild Slackware's cairo enabling
+xcb support: you have to edit the SlackBuild adding the line
+
+ --enable-xcb \
+
+to the configure parameters. Do it at your own risk (it's not yet
+considered stable in the cairo shipped with slackware-14.0).
diff --git a/desktop/awesome/awesome.SlackBuild b/desktop/awesome/awesome.SlackBuild
new file mode 100644
index 0000000000..f72be9e402
--- /dev/null
+++ b/desktop/awesome/awesome.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for awesome
+
+# Copyright 2013 Heiko Rosemann Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=awesome
+VERSION=${VERSION:-3.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+# Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DAWESOME_MAN_PATH=/usr/man \
+ -DAWESOME_DOC_PATH=/usr/doc/$PRGNAM-$VERSION \
+ -DSYSCONFDIR=/etc \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+install -m 0755 -D $CWD/xinitrc.awesome $PKG/etc/X11/xinit/xinitrc.awesome
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/awesome/awesome.info b/desktop/awesome/awesome.info
new file mode 100644
index 0000000000..496846cac6
--- /dev/null
+++ b/desktop/awesome/awesome.info
@@ -0,0 +1,10 @@
+PRGNAM="awesome"
+VERSION="3.5.1"
+HOMEPAGE="http://awesome.naquadah.org"
+DOWNLOAD="http://awesome.naquadah.org/download/awesome-3.5.1.tar.xz"
+MD5SUM="f528f66ddcdb07f24e6f494837371702"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lgi libxdg-basedir"
+MAINTAINER="Heiko Rosemann"
+EMAIL="heiko.rosemann@web.de"
diff --git a/desktop/awesome/slack-desc b/desktop/awesome/slack-desc
new file mode 100644
index 0000000000..4b7d4dd1b2
--- /dev/null
+++ b/desktop/awesome/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+awesome: awesome (tabbing window manager)
+awesome:
+awesome: awesome is a highly configurable, next generation framework window
+awesome: manager for X. It is very fast, extensible and licensed under the
+awesome: GNU GPLv2 license.
+awesome:
+awesome: It is primarly targeted at power users, developers and any people
+awesome: dealing with every day computing tasks and who want to have
+awesome: fine-grained control on theirs graphical environment.
+awesome:
+awesome: homepage: http://awesome.naquadah.org
diff --git a/desktop/awesome/xinitrc.awesome b/desktop/awesome/xinitrc.awesome
new file mode 100644
index 0000000000..1bc775e72e
--- /dev/null
+++ b/desktop/awesome/xinitrc.awesome
@@ -0,0 +1,20 @@
+#!/bin/sh
+# $Xorg: xinitrc.cpp,v 1.3 2000/08/17 19:54:30 cpqbld Exp $
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/etc/X11/xinit/.Xresources
+sysmodmap=/etc/X11/xinit/.Xmodmap
+
+# merge in defaults and keymaps
+[ -f $sysresources ] && xrdb -merge $sysresources
+[ -f $sysmodmap ] && xmodmap $sysmodmap
+[ -f $userresources ] && xrdb -merge $userresources
+[ -f $usermodmap ] && xmodmap $usermodmap
+
+# Start the window manager:
+if [ -z "$DESKTOP_SESSION" -a -x /usr/bin/ck-launch-session ]; then
+ ck-launch-session dbus-launch --exit-with-session awesome
+else
+ awesome
+fi